/** 
 * symbols for expressions
 */
 
package expression;

class Symbol {
    
    /** position of the symbols definition
     */
    int pos;

    /** the name of the symbol
     */
    String name;
    
    /** the value assigned at interpretation time
     */
    int val;

    /** create a new symbol
     */
    public Symbol(int pos, String name) {
        this.pos = pos;
        this.name = name;
	this.val = 0;
    }
        
    /** return a string representation of the symbol
     */
    public String toString() {
        return name + "[" + val + "]";
    }
}

